package org.one.stone.soup.mjdb.data.functions;

import org.one.stone.soup.mjdb.data.group.*;

/*
 * MJDB (Micro Java Database) Version 1.0
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.wet-wired.com/licence/license-os.html
 */

public final class Packager {
public static final String[] toStringArray(Table table, int columnIndex) throws PackageException {

	try{
		String[] result = new String[table.getNoOfRows()];

		for(int loop=0;loop<table.getNoOfRows();loop++)
		{
			result[loop]=table.getField(columnIndex,loop).toString();
		}
		return result;
	}
	catch(Exception e)
	{
		throw new PackageException("toStringArray:"+e);
	}
}
}
