package org.one.stone.soup.mjdb.data.group;

import org.one.stone.soup.mjdb.data.field.*;

/*
 * MJDB (Micro Java Database) Version 1.0
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.wet-wired.com/licence/license-os.html
 */

public class ColumnSet extends Table{

	public static final int COLUMN_NUMBER = 0;
	public static final int COLUMN_NAME = 1;



public ColumnSet() {
	super(2);
}
public ColumnSet(Table table) {

	super(2);

	for(int loop=0;loop<table.getNoOfColumns();loop++)
	{
		try{
			addColumn(loop,this);
		}
		catch(LockException e){}//Dummy exception
		catch(SetException e){}//Dummy exception
	}
}
/**
 * getValue method comment.
 */
public String getValue(String name) {
	return null;
}

public void addColumn(int column,Object source) throws LockException,SetException{

	Row row = addRow(source);

	row.setField(COLUMN_NUMBER,new IntField(column),this);
}
}
