package org.one.stone.soup.xapp.components.tree;

import org.one.stone.soup.xapp.XappReceiver;
import org.one.stone.soup.xapp.containers.XappContainer;
import org.one.stone.soup.xapp.controller.xml.XmlSchemaViewController;
import org.one.stone.soup.xml.XmlElement;

public interface XTree extends XappContainer{

	public abstract void buildTree(XmlElement xData);

	public abstract void setData(XmlElement xData);

	public abstract void setViewController(
			XmlSchemaViewController viewController);

	public abstract void refreshView();

	public abstract XmlElement getElementAt(int x, int y);

	public abstract void addReceiver(XappReceiver receiver);

	public abstract void removeReceiver(XappReceiver receiver);

	public abstract XmlElement getData();

	public abstract void selectNode(XmlElement data);

	public abstract void selectNodes(XmlElement data);

}